<?php
date_default_timezone_set('America/Lima');

class cCajageneral_cst{

	
	function mostrar_orden_sindocumento_agrupadoporforma($fec1,$fec2,$punven_id){
		
		$sql.="select sum(i.tb_ingreso_imp) as 'totalmonto', vp.tb_formapago_id, v.tb_moneda_id,mo.tb_moneda_sim from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			LEFT join tb_moneda mo on mo.tb_moneda_id = v.tb_moneda_id
			where d.tb_documento_abr = 'NV' and v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1'
			and i.tb_ingreso_fec BETWEEN '$fec1' and '$fec2' and v.tb_puntoventa_id = '$punven_id' 
			group by vp.tb_formapago_id, v.tb_moneda_id,mo.tb_moneda_sim ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
			
	function mostrar_orden_sindocumento_agrupadopormodo($fec1,$fec2,$punven_id,$for_id,$mon_id){
		
		$sql.="select sum(i.tb_ingreso_imp) as 'totalmonto', vp.tb_modopago_id from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			where d.tb_documento_abr = 'NV' and v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1'
			and i.tb_ingreso_fec BETWEEN '$fec1' and '$fec2' and v.tb_puntoventa_id = '$punven_id' 
			and  vp.tb_formapago_id='$for_id' and v.tb_moneda_id = '$mon_id'
			group by vp.tb_modopago_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_orden_sindocumento_agrupadoporfecha($fec1,$fec2,$punven_id,$for_id,$mon_id,$mod_id){
		
		$sql.="select sum(i.tb_ingreso_imp) as 'totalmonto', i.tb_ingreso_fec from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			where d.tb_documento_abr = 'NV' and v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1'
			and i.tb_ingreso_fec BETWEEN '$fec1' and '$fec2' and v.tb_puntoventa_id = '$punven_id' 
			and  vp.tb_formapago_id='$for_id' and v.tb_moneda_id = '$mon_id' and vp.tb_modopago_id = '$mod_id'
			group by i.tb_ingreso_fec ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_orden_sindocumento_desagrupado($fec,$punven_id,$for_id,$mon_id,$mod_id){
		
		$sql.="select i.* from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			where d.tb_documento_abr = 'NV' and v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1'
			and i.tb_ingreso_fec = '$fec' and v.tb_puntoventa_id = '$punven_id' 
			and  vp.tb_formapago_id='$for_id' and v.tb_moneda_id = '$mon_id' and vp.tb_modopago_id = '$mod_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_ventas_agrupformapago($fec1,$fec2,$punven_id){
		
		$sql.=" select sum(i.tb_ingreso_imp) as 'sumtotvenpv', vp.tb_formapago_id, v.tb_moneda_id,mon.tb_moneda_sim from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
		INNER JOIN tb_puntoventa pv ON pv.tb_puntoventa_id = v.tb_puntoventa_id
		INNER JOIN tb_empresa emp ON emp.tb_empresa_id = pv.tb_empresa_id
		INNER JOIN tb_moneda mon ON mon.tb_moneda_id = v.tb_moneda_id
		LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
		where v.tb_venta_xac = 1 and vp.tb_ventapago_xac = 1  and i.tb_ingreso_xac = '1' and v.tb_venta_est = '1' and d.tb_documento_abr != 'NV' 
		and v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($punven_id>0){
			$sql = $sql." AND v.tb_puntoventa_id = $punven_id ";
		}
					
		$sql = $sql." group by vp.tb_formapago_id, v.tb_moneda_id,mon.tb_moneda_sim";

		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_ventas_agrupadopormodo($fec1,$fec2,$punven_id,$for_id,$mon_id){
		
		$sql.="select sum(i.tb_ingreso_imp) as 'totalmonto', vp.tb_modopago_id from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			where v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1' and v.tb_venta_est = '1'
			and d.tb_documento_abr != 'NV' and i.tb_ingreso_fec BETWEEN '$fec1' and '$fec2' and v.tb_puntoventa_id = '$punven_id' 
			and  vp.tb_formapago_id='$for_id' and v.tb_moneda_id = '$mon_id'
			group by vp.tb_modopago_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_ventas_agrupadoporfecha($fec1,$fec2,$punven_id,$for_id,$mon_id,$mod_id){
		
		$sql.="select sum(i.tb_ingreso_imp) as 'totalmonto', i.tb_ingreso_fec from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			where v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1' and v.tb_venta_est = '1'
			and d.tb_documento_abr != 'NV' and i.tb_ingreso_fec BETWEEN '$fec1' and '$fec2' and v.tb_puntoventa_id = '$punven_id' 
			and  vp.tb_formapago_id='$for_id' and v.tb_moneda_id = '$mon_id' and vp.tb_modopago_id = '$mod_id'
			group by i.tb_ingreso_fec ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	function mostrar_ventas_agrupadopordocumento_fecha($fec1,$fec2,$punven_id,$for_id,$mon_id,$mod_id){
		
		$sql.="select sum(i.tb_ingreso_imp) as 'totalmonto', d.tb_documento_id,d.tb_documento_nom from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			where v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1' and v.tb_venta_est = '1'
			and d.tb_documento_abr != 'NV' and i.tb_ingreso_fec BETWEEN '$fec1' and '$fec2' and v.tb_puntoventa_id = '$punven_id' 
			and  vp.tb_formapago_id='$for_id' and v.tb_moneda_id = '$mon_id' and vp.tb_modopago_id = '$mod_id'
			group by d.tb_documento_id,d.tb_documento_nom ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_ventas_agrupadopordocumento($fec1,$punven_id,$for_id,$mon_id,$mod_id){
		
		$sql.="select sum(i.tb_ingreso_imp) as 'totalmonto', d.tb_documento_id,d.tb_documento_nom from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			where v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1' and v.tb_venta_est = '1'
			and d.tb_documento_abr != 'NV' and i.tb_ingreso_fec = '$fec1' and v.tb_puntoventa_id = '$punven_id' 
			and  vp.tb_formapago_id='$for_id' and v.tb_moneda_id = '$mon_id' and vp.tb_modopago_id = '$mod_id'
			group by d.tb_documento_id,d.tb_documento_nom ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_ventas_desagrupado($fec1,$punven_id,$for_id,$mon_id,$mod_id,$doc_id){
		
		$sql.="select * from tb_ingreso i 
			left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = i.tb_ingreso_modide
			left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapagoingresos_id = vpi.tb_ventapagoingresos_id
			left join tb_ventapago vp on vp.tb_ventapago_id = vpd.tb_ventapago_id        
			left join tb_venta v on v.tb_venta_id = vp.tb_venta_id
			left join tb_cliente cli on cli.tb_cliente_id = v.tb_cliente_id
			LEFT join tb_documento d on d.tb_documento_id = v.tb_documento_id
			where v.tb_venta_xac = '1' and vp.tb_ventapago_xac = '1' and i.tb_ingreso_xac = '1' and v.tb_venta_est = '1'
			and d.tb_documento_abr != 'NV' and i.tb_ingreso_fec = '$fec1' and v.tb_puntoventa_id = '$punven_id' 
			and  vp.tb_formapago_id='$for_id' and v.tb_moneda_id = '$mon_id' and vp.tb_modopago_id = '$mod_id' and d.tb_documento_id = '$doc_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	
	
	
	
	
	
	
	function mostrar_adelantos_ordentrabajo_agrupmodoadelanto($fec1,$fec2,$punven_id){
		
		$sql.="SELECT otp.tb_modopago_id, SUM( otp.tb_ordentrabajopago_mon ) AS 'sumtotmod', mon.tb_moneda_id,mon.tb_moneda_sim
		FROM tb_ordentrabajo ot
		INNER JOIN tb_ordentrabajopago otp ON otp.tb_ordentrabajo_id = ot.tb_ordentrabajo_id
		INNER JOIN tb_puntoventa pv ON pv.tb_puntoventa_id = ot.tb_puntoventa_id
		INNER JOIN tb_empresa emp ON emp.tb_empresa_id = pv.tb_empresa_id
		INNER JOIN tb_moneda mon ON mon.tb_moneda_id = ot.tb_moneda_id
		where ot.tb_ordentrabajo_xac = 1 and ot.tb_ordentrabajo_est = 1 
		and ot.tb_ordentrabajo_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($punven_id>0){
			$sql = $sql." AND pv.tb_puntoventa_id = $punven_id ";
		}
		
		if($mon_id>0){
			$sql = $sql." AND mon.tb_moneda_id = $mon_id ";
		}
			
		$sql = $sql." GROUP BY otp.tb_modopago_id,mon.tb_moneda_id,mon.tb_moneda_sim ";

		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_adelantos_ordentrabajo_desagrupmodoadelanto($fec1,$fec2,$punven_id,$mon_id,$mod_id){
		
		$sql.="SELECT ot.*,otp.*
		FROM tb_ordentrabajo ot
		INNER JOIN tb_ordentrabajopago otp ON otp.tb_ordentrabajo_id = ot.tb_ordentrabajo_id
		INNER JOIN tb_puntoventa pv ON pv.tb_puntoventa_id = ot.tb_puntoventa_id
		INNER JOIN tb_empresa emp ON emp.tb_empresa_id = pv.tb_empresa_id
		INNER JOIN tb_moneda mon ON mon.tb_moneda_id = ot.tb_moneda_id
		where ot.tb_ordentrabajo_xac = 1 and ot.tb_ordentrabajo_est = 1 
		and ot.tb_ordentrabajo_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($punven_id>0){
			$sql = $sql." AND pv.tb_puntoventa_id = $punven_id ";
		}
		
		if($mon_id>0){
			$sql = $sql." AND mon.tb_moneda_id = $mon_id ";
		}
		
		if($mod_id>0){
			$sql = $sql." AND otp.tb_modopago_id = $mod_id ";
		}
			
		//$sql = $sql." GROUP BY otp.tb_modopago_id ";

		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_ordentrabajo_detalle_factura($ordtra_id){
		$sql="SELECT * from tb_ordentrabajodetalle_facturar otf
		WHERE otf.tb_ordentrabajo_id='$ordtra_id' order by tb_ordentrabajodetalle_facturar_now asc ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
}
?>